Bug 1284640 - [abrt] dia: object_unconnect_all(): dia killed by SIGSEGV
[abrt] dia: object_unconnect_all(): dia killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dia (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ff88511d157bea60b6a7f68d126...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 12:51 EST by Gwendal
Modified: 2016-12-20 11:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:12:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.86 KB, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: core_backtrace (11.77 KB, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: dso_list (13.27 KB, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: environ (1.15 KB, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: exploitable (110 bytes, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: maps (62.66 KB, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: mountinfo (3.56 KB, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: open_fds (850 bytes, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details
File: var_log_messages (298 bytes, text/plain)
2015-11-23 12:51 EST, Gwendal
no flags Details

  None (edit)
Description Gwendal 2015-11-23 12:51:29 EST
Description of problem:
Playing with the layers, I think...

Version-Release number of selected component:
dia-0.97.3-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        dia --integrated '/home/ebousse/Documents/Th\xc3\xa8se/2015-08 Manuscrit/thesis-git/slides/img_dstmm/petrinettmm_anim.dia'
crash_function: object_unconnect_all
executable:     /usr/bin/dia
global_pid:     10120
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 object_unconnect_all at object.c:576
 #1 object_destroy at object.c:70
 #2 orthconn_destroy at orth_conn.c:572
 #3 association_destroy at association.c:884
 #4 destroy_object_list at object.c:338
 #5 layer_destroy at diagramdata.c:229
 #6 diagram_data_finalize at diagramdata.c:140
 #8 ddisplay_really_destroy at display.c:1361
 #9 ddisp_destroy at display.c:1203
 #10 are_you_sure_close_dialog_respond at display.c:1228
Comment 1 Gwendal 2015-11-23 12:51:33 EST
Created attachment 1097780 [details]
File: backtrace
Comment 2 Gwendal 2015-11-23 12:51:35 EST
Created attachment 1097781 [details]
File: cgroup
Comment 3 Gwendal 2015-11-23 12:51:36 EST
Created attachment 1097782 [details]
File: core_backtrace
Comment 4 Gwendal 2015-11-23 12:51:38 EST
Created attachment 1097783 [details]
File: dso_list
Comment 5 Gwendal 2015-11-23 12:51:39 EST
Created attachment 1097784 [details]
File: environ
Comment 6 Gwendal 2015-11-23 12:51:40 EST
Created attachment 1097785 [details]
File: exploitable
Comment 7 Gwendal 2015-11-23 12:51:41 EST
Created attachment 1097786 [details]
File: limits
Comment 8 Gwendal 2015-11-23 12:51:43 EST
Created attachment 1097787 [details]
File: maps
Comment 9 Gwendal 2015-11-23 12:51:44 EST
Created attachment 1097789 [details]
File: mountinfo
Comment 10 Gwendal 2015-11-23 12:51:46 EST
Created attachment 1097790 [details]
File: namespaces
Comment 11 Gwendal 2015-11-23 12:51:47 EST
Created attachment 1097791 [details]
File: open_fds
Comment 12 Gwendal 2015-11-23 12:51:48 EST
Created attachment 1097792 [details]
File: proc_pid_status
Comment 13 Gwendal 2015-11-23 12:51:49 EST
Created attachment 1097793 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 08:40:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:12:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.